Description

I configured compute resource VMware in Foreman 1.11.2 and all (I tested) works fine except listing VMs.

In the log it generates this error.

2016-06-21T10:47:39 [app] [W] Error has occurred while listing VMs on VCenter (VMware)

 | RuntimeError: unknown VMODL type VirtualPCIPassthroughVmiopBackingInfo

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/type_loader.rb:103:in `make

_type'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/type_loader.rb:65:in `block

 in get'

 | /usr/lib/ruby/2.1.0/monitor.rb:211:in `mon_synchronize'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/type_loader.rb:63:in `get'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:85:in `d

eserialize'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:123:in `

block in traverse_data'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:105:in `

each'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:105:in `

traverse_data'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:88:in `d

eserialize'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:118:in `

block in traverse_data'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:105:in `

each'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:105:in `

traverse_data'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:88:in `d

eserialize'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:123:in `

block in traverse_data'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:105:in `

each'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:105:in `

traverse_data'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:88:in `d

eserialize'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:123:in `

block in traverse_data'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:105:in `

each'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:105:in `

traverse_data'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:88:in `d
eserialize'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:118:in `

block in traverse_data'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:105:in `

each'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:105:in `

traverse_data'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:88:in `d

eserialize'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/connection.rb:68:in `block 

in parse_response'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/connection.rb:68:in `map'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/connection.rb:68:in `parse_

response'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/connection.rb:90:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/basic_types.rb:205:in `_cal

l'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/basic_types.rb:74:in `block

 (2 levels) in init'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/basic_types.rb:183:in `_get

_property'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/lib/rbvmomi/basic_types.rb:35:in `block

 (2 levels) in init'

 | /usr/share/foreman/app/services/fog_extensions/vsphere/mini_servers.rb:26:in `block in allvmsby

folder'

 | /usr/share/foreman/app/services/fog_extensions/vsphere/mini_servers.rb:22:in `each'

 | /usr/share/foreman/app/services/fog_extensions/vsphere/mini_servers.rb:22:in `allvmsbyfolder'

 | /usr/share/foreman/app/services/fog_extensions/vsphere/mini_servers.rb:24:in `block in allvmsby

folder'

 | /usr/share/foreman/app/services/fog_extensions/vsphere/mini_servers.rb:22:in `each'

 | /usr/share/foreman/app/services/fog_extensions/vsphere/mini_servers.rb:22:in `allvmsbyfolder'

 | /usr/share/foreman/app/services/fog_extensions/vsphere/mini_servers.rb:24:in `block in allvmsby

folder'

| /usr/share/foreman/app/services/fog_extensions/vsphere/mini_servers.rb:22:in `each'

 | /usr/share/foreman/app/services/fog_extensions/vsphere/mini_servers.rb:22:in `allvmsbyfolder'

 | /usr/share/foreman/app/services/fog_extensions/vsphere/mini_servers.rb:24:in `block in allvmsby

folder'

 | /usr/share/foreman/app/services/fog_extensions/vsphere/mini_servers.rb:22:in `each'

 | /usr/share/foreman/app/services/fog_extensions/vsphere/mini_servers.rb:22:in `allvmsbyfolder'

 | /usr/share/foreman/app/services/fog_extensions/vsphere/mini_servers.rb:24:in `block in allvmsby

folder'

 | /usr/share/foreman/app/services/fog_extensions/vsphere/mini_servers.rb:22:in `each'

 | /usr/share/foreman/app/services/fog_extensions/vsphere/mini_servers.rb:22:in `allvmsbyfolder'

 | /usr/share/foreman/app/services/fog_extensions/vsphere/mini_servers.rb:12:in `all'

 | /usr/share/foreman/app/controllers/compute_resources_vms_controller.rb:4:in `index'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/action_controller/metal/impli

cit_render.rb:4:in `send_action'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/abstract_controller/base.rb:1

89:in `process_action'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/action_controller/metal/rende

ring.rb:10:in `process_action'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/abstract_controller/callbacks

.rb:20:in `block in process_action'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:113:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:113:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:552:in `block (2 levels) in compile'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:502:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:502:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:495:in `block (2 levels) in around'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:306:in `call'
 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:306:in `block (2 levels) in halting'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rails-observers-0.1.2/lib/rails/observers/action_cont

roller/caching/sweeping.rb:73:in `around'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:452:in `public_send'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:452:in `block in make_lambda'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:305:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:305:in `block in halting'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:494:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:494:in `block in around'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:502:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:502:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:495:in `block (2 levels) in around'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:306:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:306:in `block (2 levels) in halting'

 | /usr/share/foreman/app/controllers/concerns/application_shared.rb:13:in `set_timezone'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:429:in `block in make_lambda'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:305:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:305:in `block in halting'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:494:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:494:in `block in around'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:502:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:502:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:495:in `block (2 levels) in around'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:306:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:306:in `block (2 levels) in halting'

 | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:429:in `block in make_lambda'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:305:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:305:in `block in halting'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:494:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:494:in `block in around'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:502:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:502:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:495:in `block (2 levels) in around'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:306:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r
b:306:in `block (2 levels) in halting'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rails-observers-0.1.2/lib/rails/observers/action_cont

roller/caching/sweeping.rb:73:in `around'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:452:in `public_send'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:452:in `block in make_lambda'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:305:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:305:in `block in halting'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:494:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:494:in `block in around'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:502:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:502:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:86:in `run_callbacks'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/abstract_controller/callbacks

.rb:19:in `process_action'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/action_controller/metal/rescu

e.rb:29:in `process_action'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/action_controller/metal/instr

umentation.rb:32:in `block in process_action'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/notificatio

ns.rb:159:in `block in instrument'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/notificatio

ns/instrumenter.rb:20:in `instrument'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/notificatio

ns.rb:159:in `instrument'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/action_controller/metal/instr

umentation.rb:30:in `process_action'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/action_controller/metal/param

s_wrapper.rb:250:in `process_action'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activerecord-4.1.14.2/lib/active_record/railties/cont

roller_runtime.rb:18:in `process_action'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/abstract_controller/base.rb:1

36:in `process'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionview-4.1.14.2/lib/action_view/rendering.rb:30:i

n `process'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/action_controller/metal.rb:19

6:in `dispatch'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/action_controller/metal/rack_

delegation.rb:13:in `dispatch'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/action_controller/metal.rb:23

2:in `block in action'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/action_dispatch/routing/route

_set.rb:80:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/action_dispatch/routing/route

_set.rb:80:in `dispatch'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/action_dispatch/routing/route

_set.rb:48:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/action_dispatch/journey/route

r.rb:73:in `block in call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/action_dispatch/journey/route

r.rb:59:in `each'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/action_dispatch/journey/route

r.rb:59:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/action_dispatch/routing/route

_set.rb:690:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/apipie-rails-0.3.6/lib/apipie/static_dispatcher.rb:65

:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/apipie-rails-0.3.6/lib/apipie/extractor/recorder.rb:1

32:in `call'
 | /usr/share/foreman/vendor/ruby/2.1.0/gems/apipie-rails-0.3.6/lib/apipie/middleware/checksum_in_

headers.rb:27:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rack-1.5.5/lib/rack/etag.rb:23:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rack-1.5.5/lib/rack/conditionalget.rb:25:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rack-1.5.5/lib/rack/head.rb:11:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/action_dispatch/middleware/pa

rams_parser.rb:27:in `call'

 | /usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/action_dispatch/middleware/fl

ash.rb:254:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rack-1.5.5/lib/rack/session/abstract/id.rb:225:in `co

ntext'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rack-1.5.5/lib/rack/session/abstract/id.rb:220:in `ca

ll'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/action_dispatch/middleware/co

okies.rb:562:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activerecord-4.1.14.2/lib/active_record/query_cache.r

b:36:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activerecord-4.1.14.2/lib/active_record/connection_ad

apters/abstract/connection_pool.rb:621:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/action_dispatch/middleware/ca

llbacks.rb:29:in `block in call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:82:in `run_callbacks'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/action_dispatch/middleware/ca

llbacks.rb:27:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/action_dispatch/middleware/re

mote_ip.rb:76:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/action_dispatch/middleware/de

bug_exceptions.rb:17:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/action_dispatch/middleware/sh

ow_exceptions.rb:30:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/railties-4.1.14.2/lib/rails/rack/logger.rb:38:in `cal

l_app'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/railties-4.1.14.2/lib/rails/rack/logger.rb:22:in `cal

l'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/action_dispatch/middleware/re

quest_id.rb:21:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rack-1.5.5/lib/rack/methodoverride.rb:21:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rack-1.5.5/lib/rack/runtime.rb:17:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/cache/strat

egy/local_cache_middleware.rb:26:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-4.1.14.2/lib/action_dispatch/middleware/st

atic.rb:84:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rack-1.5.5/lib/rack/sendfile.rb:112:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/railties-4.1.14.2/lib/rails/engine.rb:514:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/railties-4.1.14.2/lib/rails/application.rb:144:in `ca

ll'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/railties-4.1.14.2/lib/rails/railtie.rb:194:in `public

_send'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/railties-4.1.14.2/lib/rails/railtie.rb:194:in `method

_missing'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rack-1.5.5/lib/rack/builder.rb:138:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rack-1.5.5/lib/rack/urlmap.rb:65:in `block in call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rack-1.5.5/lib/rack/urlmap.rb:50:in `each'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/rack-1.5.5/lib/rack/urlmap.rb:50:in `call'

 | /usr/lib/ruby/vendor_ruby/phusion_passenger/rack/thread_handler_extension.rb:74:in `process_req

uest'

 | /usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler/thread_handler.rb:141:in `accept_an

d_process_next_request'

 | /usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler/thread_handler.rb:109:in `main_loop

'

 | /usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler.rb:455:in `block (3 levels) in star

t_threads'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/logging-2.1.0/lib/logging/diagnostic_context.rb:450:i

n `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/logging-2.1.0/lib/logging/diagnostic_context.rb:450:i
n `block in create_with_logging_context'

 I think it is related to https://github.com/fog/fog-vsphere/issues/36 which tells rbvmomi does lack vSphere 6 support for now. Adding

this support will hopefully fix Foremans capability to list the VMs of a vCenter 6 automatically.

History

#1 - 05/20/2017 09:27 AM - Anonymous

Dirk, I think this got fixed in the meanwhile?

#2 - 05/22/2017 04:23 AM - Dirk Götz

Costumer confirmed it, it is fixed with recent versions.

#3 - 05/22/2017 04:25 AM - Dominic Cleal

- Status changed from New to Resolved

Thanks for confirming.
